public static interface GoogleBigQueryEndpointBuilderFactory.GoogleBigQueryBuilders
| Modifier and Type | Method and Description |
|---|---|
default GoogleBigQueryEndpointBuilderFactory.GoogleBigQueryEndpointBuilder |
googleBigquery(String path)
Google BigQuery (camel-google-bigquery)
Google BigQuery data warehouse for analytics.
|
default GoogleBigQueryEndpointBuilderFactory.GoogleBigQueryEndpointBuilder |
googleBigquery(String componentName,
String path)
Google BigQuery (camel-google-bigquery)
Google BigQuery data warehouse for analytics.
|
default GoogleBigQueryEndpointBuilderFactory.GoogleBigQueryEndpointBuilder googleBigquery(String path)
google-bigquery:projectId:datasetId:tableId
Path parameter: projectId (required)
Google Cloud Project Id
Path parameter: datasetId (required)
BigQuery Dataset Id
Path parameter: tableId
BigQuery table idpath - projectId:datasetId:tableIddefault GoogleBigQueryEndpointBuilderFactory.GoogleBigQueryEndpointBuilder googleBigquery(String componentName, String path)
google-bigquery:projectId:datasetId:tableId
Path parameter: projectId (required)
Google Cloud Project Id
Path parameter: datasetId (required)
BigQuery Dataset Id
Path parameter: tableId
BigQuery table idcomponentName - to use a custom component name for the endpoint
instead of the default namepath - projectId:datasetId:tableIdApache Camel